libebook::BBeBCollector Class Reference documentation

Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libebook::BBeBCollector Class Reference

`#include <BBeBCollector.h>`

## Classes
struct | ImageData
struct | ImageStreamData

## Public Member Functions
| BBeBCollector (librevenge::RVNGTextInterface *document)
| ~BBeBCollector ()
void | startDocument ()
void | endDocument ()
void | openPage (unsigned pageAtrID, const BBeBAttributes &attributes)
void | closePage ()
void | openBlock (unsigned atrID, const BBeBAttributes &attributes)
void | closeBlock ()
void | openTextBlock (unsigned atrID, const BBeBAttributes &attributes)
void | closeTextBlock ()
void | openParagraph (unsigned atrID, const BBeBAttributes &attributes)
void | closeParagraph ()
void | collectText (const std::string &text, const BBeBAttributes &attributes)
void | insertLineBreak ()
void | insertImage (unsigned id)
void | collectMetadata (const BBeBMetadata &metadata)
void | collectBookAttributes (const BBeBAttributes &attributes)
void | collectTextAttributes (unsigned id, const BBeBAttributes &attributes)
void | collectBlockAttributes (unsigned id, const BBeBAttributes &attributes)
void | collectPageAttributes (unsigned id, const BBeBAttributes &attributes)
void | collectParagraphAttributes (unsigned id, const BBeBAttributes &attributes)
void | collectImage (unsigned id, unsigned dataId, unsigned width, unsigned height)
void | collectImageData (unsigned id, BBeBImageType type, const RVNGInputStreamPtr_t &image)
void | setDPI (double dpi)

## Private Types
typedef std::map< unsigned, ImageStreamData > | ImageDataMap_t
typedef std::map< unsigned, ImageData > | ImageMap_t

## Private Member Functions
| BBeBCollector (const BBeBCollector &other)
BBeBCollector & | operator= (const BBeBCollector &other)
void | collectAttributes (unsigned id, const BBeBAttributes &attributes, BBeBAttributeMap_t &attributeMap)
void | openBlock (unsigned atrID, const BBeBAttributes &attributes, const BBeBAttributeMap_t *attributeMap)

## Private Attributes
BBeBAttributes | m_bookAttributes
BBeBAttributeMap_t | m_textAttributeMap
BBeBAttributeMap_t | m_blockAttributeMap
BBeBAttributeMap_t | m_pageAttributeMap
BBeBAttributeMap_t | m_paragraphAttributeMap
librevenge::RVNGTextInterface *const | m_document
std::stack< BBeBAttributes > | m_currentAttributes
ImageDataMap_t | m_imageDataMap
ImageMap_t | m_imageMap
double | m_dpi
bool | m_firstParaInBlock

## Member Typedef Documentation

## ◆ ImageDataMap_t

typedef std::map<unsigned, ImageStreamData> libebook::BBeBCollector::ImageDataMap_t
| private

## ◆ ImageMap_t

typedef std::map<unsigned, ImageData> libebook::BBeBCollector::ImageMap_t
| private

## Constructor & Destructor Documentation

## ◆ BBeBCollector() [1/2]

libebook::BBeBCollector::BBeBCollector | ( | const BBeBCollector & | other | ) |
| private

## ◆ BBeBCollector() [2/2]

libebook::BBeBCollector::BBeBCollector | ( | librevenge::RVNGTextInterface * | document | ) |
| explicit

## ◆ ~BBeBCollector()

libebook::BBeBCollector::~BBeBCollector | ( |  | ) |

## Member Function Documentation

## ◆ closeBlock()

void libebook::BBeBCollector::closeBlock | ( |  | ) |

Referenced by closePage(), closeParagraph(), closeTextBlock(), collectText(), and libebook::BBeBParser::readBlockObject().

## ◆ closePage()

void libebook::BBeBCollector::closePage | ( |  | ) |

Referenced by libebook::BBeBParser::readPageObject().

## ◆ closeParagraph()

void libebook::BBeBCollector::closeParagraph | ( |  | ) |

Referenced by libebook::BBeBParser::readTextObject().

## ◆ closeTextBlock()

void libebook::BBeBCollector::closeTextBlock | ( |  | ) |

Referenced by libebook::BBeBParser::readTextObject().

## ◆ collectAttributes()

void libebook::BBeBCollector::collectAttributes | ( | unsigned | id,
|  | const BBeBAttributes & | attributes,
|  | BBeBAttributeMap_t & | attributeMap
| ) |  |
| private

Referenced by collectBlockAttributes(), collectPageAttributes(), collectParagraphAttributes(), and collectTextAttributes().

## ◆ collectBlockAttributes()

void libebook::BBeBCollector::collectBlockAttributes | ( | unsigned | id,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by libebook::BBeBParser::readBlockAtrObject().

## ◆ collectBookAttributes()

void libebook::BBeBCollector::collectBookAttributes | ( | const BBeBAttributes & | attributes | ) |

Referenced by libebook::BBeBParser::readBookAtrObject().

## ◆ collectImage()

void libebook::BBeBCollector::collectImage | ( | unsigned | id,
|  | unsigned | dataId,
|  | unsigned | width,
|  | unsigned | height
| ) |  |

Referenced by libebook::BBeBParser::readImageObject().

## ◆ collectImageData()

void libebook::BBeBCollector::collectImageData | ( | unsigned | id,
|  | BBeBImageType | type,
|  | const RVNGInputStreamPtr_t & | image
| ) |  |

Referenced by libebook::BBeBParser::readImageStreamObject().

## ◆ collectMetadata()

void libebook::BBeBCollector::collectMetadata | ( | const BBeBMetadata & | metadata | ) |

Referenced by libebook::BBeBParser::readMetadata().

## ◆ collectPageAttributes()

void libebook::BBeBCollector::collectPageAttributes | ( | unsigned | id,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by libebook::BBeBParser::readPageAtrObject().

## ◆ collectParagraphAttributes()

void libebook::BBeBCollector::collectParagraphAttributes | ( | unsigned | id,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by libebook::BBeBParser::readParagraphAtrObject().

## ◆ collectText()

void libebook::BBeBCollector::collectText | ( | const std::string & | text,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by libebook::BBeBParser::readTextObject().

## ◆ collectTextAttributes()

void libebook::BBeBCollector::collectTextAttributes | ( | unsigned | id,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by libebook::BBeBParser::readTextAtrObject().

## ◆ endDocument()

void libebook::BBeBCollector::endDocument | ( |  | ) |

Referenced by libebook::BBeBParser::parse().

## ◆ insertImage()

void libebook::BBeBCollector::insertImage | ( | unsigned | id | ) |

Referenced by libebook::BBeBParser::readTextObject().

## ◆ insertLineBreak()

void libebook::BBeBCollector::insertLineBreak | ( |  | ) |

Referenced by libebook::BBeBParser::readTextObject().

## ◆ openBlock() [1/2]

void libebook::BBeBCollector::openBlock | ( | unsigned | atrID,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by collectText(), openBlock(), openPage(), openParagraph(), openTextBlock(), and libebook::BBeBParser::readBlockObject().

## ◆ openBlock() [2/2]

void libebook::BBeBCollector::openBlock | ( | unsigned | atrID,
|  | const BBeBAttributes & | attributes,
|  | const BBeBAttributeMap_t * | attributeMap
| ) |  |
| private

## ◆ openPage()

void libebook::BBeBCollector::openPage | ( | unsigned | pageAtrID,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by libebook::BBeBParser::readPageObject().

## ◆ openParagraph()

void libebook::BBeBCollector::openParagraph | ( | unsigned | atrID,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by libebook::BBeBParser::readTextObject().

## ◆ openTextBlock()

void libebook::BBeBCollector::openTextBlock | ( | unsigned | atrID,
|  | const BBeBAttributes & | attributes
| ) |  |

Referenced by libebook::BBeBParser::readTextObject().

## ◆ operator=()

BBeBCollector & libebook::BBeBCollector::operator= | ( | const BBeBCollector & | other | ) |
| private

## ◆ setDPI()

void libebook::BBeBCollector::setDPI | ( | double | dpi | ) |

## ◆ startDocument()

void libebook::BBeBCollector::startDocument | ( |  | ) |

Referenced by libebook::BBeBParser::parse().

## Member Data Documentation

## ◆ m_blockAttributeMap

BBeBAttributeMap_t libebook::BBeBCollector::m_blockAttributeMap
| private

Referenced by collectBlockAttributes(), and openBlock().

## ◆ m_bookAttributes

BBeBAttributes libebook::BBeBCollector::m_bookAttributes
| private

Referenced by collectBookAttributes(), and startDocument().

## ◆ m_currentAttributes

std::stack<BBeBAttributes> libebook::BBeBCollector::m_currentAttributes
| private

Referenced by closeBlock(), collectText(), endDocument(), openBlock(), openPage(), openParagraph(), and startDocument().

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::BBeBCollector::m_document
| private

Referenced by closePage(), closeParagraph(), collectMetadata(), collectText(), endDocument(), insertImage(), insertLineBreak(), openPage(), openParagraph(), and startDocument().

## ◆ m_dpi

double libebook::BBeBCollector::m_dpi
| private

Referenced by collectText(), insertImage(), openPage(), openParagraph(), and setDPI().

## ◆ m_firstParaInBlock

bool libebook::BBeBCollector::m_firstParaInBlock
| private

Referenced by openParagraph(), and openTextBlock().

## ◆ m_imageDataMap

ImageDataMap_t libebook::BBeBCollector::m_imageDataMap
| private

Referenced by collectImage(), collectImageData(), and insertImage().

## ◆ m_imageMap

ImageMap_t libebook::BBeBCollector::m_imageMap
| private

Referenced by collectImage(), and insertImage().

## ◆ m_pageAttributeMap

BBeBAttributeMap_t libebook::BBeBCollector::m_pageAttributeMap
| private

Referenced by collectPageAttributes(), and openPage().

## ◆ m_paragraphAttributeMap

BBeBAttributeMap_t libebook::BBeBCollector::m_paragraphAttributeMap
| private

Referenced by collectParagraphAttributes(), and openParagraph().

## ◆ m_textAttributeMap

BBeBAttributeMap_t libebook::BBeBCollector::m_textAttributeMap
| private

Referenced by collectTextAttributes(), and openTextBlock().

The documentation for this class was generated from the following files:

- BBeBCollector.h
- BBeBCollector.cpp